GlobalSettings
Date: 2019-10-22

org.jmol.viewer

## Class GlobalSettings

- java.lang.Object
- - org.jmol.viewer.GlobalSettings

-     public class GlobalSettings
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `allowAudio`
    `(package private) boolean` | `allowEmbeddedScripts`
    `(package private) boolean` | `allowGestures`
    `(package private) boolean` | `allowKeyStrokes`
    `(package private) boolean` | `allowModelkit`
    `(package private) boolean` | `allowMoveAtoms`
    `(package private) boolean` | `allowMultiTouch`
    `(package private) boolean` | `allowRotateSelected`
    `(package private) int` | `animationFps`
    `(package private) boolean` | `antialiasDisplay`
    `(package private) boolean` | `antialiasImages`
    `(package private) boolean` | `antialiasTranslucent`
    `boolean` | `appendNew`
    `(package private) java.lang.String` | `appletProxy`
    `(package private) boolean` | `applySymmetryToBonds`
    `(package private) boolean` | `atomPicking`
    `(package private) java.lang.String` | `atomTypes`
    `(package private) boolean` | `autoBond`
    `(package private) boolean` | `autoFps`
    `(package private) boolean` | `autoplayMovie`
    `int` | `axesMode`
    `(package private) float` | `axesOffset`
    `(package private) boolean` | `axesOrientationRasmol`
    `(package private) float` | `axesScale`
    `(package private) java.lang.String` | `backgroundImageFileName`
    `int` | `bondingVersion`
    `(package private) boolean` | `bondModeOr`
    `(package private) boolean` | `bondPicking`
    `(package private) short` | `bondRadiusMilliAngstroms`
    `(package private) float` | `bondTolerance`
    `(package private) boolean` | `cartoonBaseEdges`
    `(package private) float` | `cartoonBlockHeight`
    `(package private) boolean` | `cartoonBlocks`
    `(package private) boolean` | `cartoonFancy`
    `(package private) boolean` | `cartoonLadders`
    `(package private) boolean` | `cartoonRibose`
    `(package private) boolean` | `cartoonRockets`
    `(package private) boolean` | `cartoonSteps`
    `(package private) boolean` | `chainCaseSensitive`
    `(package private) boolean` | `cipRule6Full`
    `(package private) java.lang.String` | `dataSeparator`
    `(package private) boolean` | `debugScript`
    `(package private) java.lang.String` | `defaultAngleLabel`
    `(package private) java.lang.String` | `defaultDirectory`
    `(package private) java.lang.String` | `defaultDistanceLabel`
    `(package private) float` | `defaultDrawArrowScale`
    `java.lang.String` | `defaultDropScript`
    `(package private) java.lang.String` | `defaultLabelPDB`
    `(package private) java.lang.String` | `defaultLabelXYZ`
    `java.lang.String` | `defaultLoadFilter`
    `java.lang.String` | `defaultLoadScript`
    `(package private) boolean` | `defaultStructureDSSP`
    `(package private) java.lang.String` | `defaultTorsionLabel`
    `(package private) float` | `defaultTranslucent`
    `(package private) int` | `delayMaximumMs`
    `(package private) float` | `dipoleScale`
    `(package private) boolean` | `disablePopupMenu`
    `(package private) boolean` | `displayCellParameters`
    `(package private) int` | `dotDensity`
    `(package private) int` | `dotScale`
    `(package private) boolean` | `dotsSelectedOnly`
    `(package private) boolean` | `dotSurface`
    `(package private) boolean` | `dragSelected`
    `(package private) float` | `drawFontSize`
    `(package private) boolean` | `drawHover`
    `(package private) boolean` | `drawPicking`
    `(package private) boolean` | `dsspCalcHydrogen`
    `(package private) boolean` | `ellipsoidArcs`
    `(package private) boolean` | `ellipsoidArrows`
    `(package private) boolean` | `ellipsoidAxes`
    `(package private) float` | `ellipsoidAxisDiameter`
    `(package private) boolean` | `ellipsoidBall`
    `(package private) int` | `ellipsoidDotCount`
    `(package private) boolean` | `ellipsoidDots`
    `(package private) boolean` | `ellipsoidFill`
    `java.lang.String` | `energyUnits`
    `(package private) float` | `exportScale`
    `(package private) boolean` | `fontCaching`
    `(package private) boolean` | `fontScaling`
    `(package private) boolean` | `forceAutoBond`
    `(package private) java.lang.String` | `forceField`
    `(package private) boolean` | `fractionalRelative`
    `(package private) boolean` | `greyscaleRendering`
    `(package private) boolean` | `haveSetStructureList`
    `(package private) float` | `hbondsAngleMinimum`
    `(package private) boolean` | `hbondsBackbone`
    `(package private) float` | `hbondsDistanceMaximum`
    `(package private) boolean` | `hbondsRasmol`
    `(package private) boolean` | `hbondsSolid`
    `(package private) int` | `helixStep`
    `(package private) java.lang.String` | `helpPath`
    `(package private) int` | `hermiteLevel`
    `(package private) boolean` | `hiddenLinesDashed`
    `(package private) boolean` | `hideNameInPopup`
    `(package private) boolean` | `hideNavigationPoint`
    `(package private) boolean` | `highResolutionFlag`
    `(package private) int` | `hoverDelayMs`
    `(package private) java.util.Map<java.lang.String,java.lang.Boolean>` | `htBooleanParameterFlags`
    `(package private) java.util.Map<java.lang.String,java.lang.Object>` | `htNonbooleanParameterValues`
    `(package private) java.util.Map<java.lang.String,java.lang.Boolean>` | `htPropertyFlagsRemoved`
    `(package private) java.util.Map<java.lang.String,SV>` | `htUserVariables`
    `(package private) boolean` | `imageState`
    `(package private) int` | `infoFontSize`
    `(package private) char` | `inlineNewlineChar`
    `(package private) boolean` | `isosurfaceKey`
    `(package private) boolean` | `isosurfacePropertySmoothing`
    `(package private) int` | `isosurfacePropertySmoothingPower`
    `(package private) boolean` | `jmolInJSpecView`
    `(package private) boolean` | `justifyMeasurements`
    `(package private) boolean` | `legacyAutoBonding`
    `boolean` | `legacyHAddition`
    `boolean` | `legacyJavaFloat`
    `(package private) float` | `loadAtomDataTolerance`
    `(package private) java.lang.String` | `loadFormat`
    `boolean` | `logCommands`
    `boolean` | `logGestures`
    `(package private) java.lang.String` | `macroDirectory`
    `(package private) boolean` | `measureAllModels`
    `java.lang.String` | `measureDistanceUnits`
    `(package private) boolean` | `measurementLabels`
    `(package private) int` | `meshScale`
    `(package private) boolean` | `messageStyleChime`
    `(package private) float` | `minBondDistance`
    `(package private) float` | `minimizationCriterion`
    `(package private) boolean` | `minimizationRefresh`
    `(package private) boolean` | `minimizationSilent`
    `(package private) int` | `minimizationSteps`
    `(package private) int` | `minPixelSelRadius`
    `(package private) boolean` | `modelKitMode`
    `byte` | `modeMultipleBond`
    `(package private) boolean` | `modulateOccupancy`
    `float` | `modulationScale`
    `(package private) boolean` | `monitorEnergy`
    `(package private) boolean` | `multipleBondBananas`
    `(package private) float` | `multipleBondRadiusFactor`
    `(package private) float` | `multipleBondSpacing`
    `(package private) boolean` | `multiProcessor`
    `(package private) boolean` | `navigationMode`
    `(package private) boolean` | `navigationPeriodic`
    `(package private) float` | `navigationSpeed`
    `(package private) boolean` | `nboCharges`
    `(package private) java.lang.String` | `nihResolverFormat`
    `(package private) java.lang.String` | `nmrPredictFormat`
    `(package private) java.lang.String` | `nmrUrlFormat`
    `boolean` | `noDelay` ensures that ScriptManager.allowJSThreads is false so that ScriptManager.useThreads() returns false; Jmol 14.21.1
    `(package private) int[]` | `objColors`
    `(package private) int[]` | `objMad10`
    `(package private) boolean[]` | `objStateOn`
    `(package private) boolean` | `partialDots`
    `(package private) float` | `particleRadius`
    `(package private) boolean` | `pdbAddHydrogens`
    `(package private) boolean` | `pdbGetHeader`
    `(package private) java.lang.String` | `pdbLoadFormat`
    `(package private) java.lang.String` | `pdbLoadLigandFormat`
    `(package private) boolean` | `pdbSequential`
    `(package private) int` | `percentVdwAtom`
    `(package private) int` | `pickingSpinRate`
    `(package private) java.lang.String` | `pickLabel`
    `(package private) int` | `platformSpeed`
    `(package private) float` | `pointGroupDistanceTolerance`
    `(package private) float` | `pointGroupLinearTolerance`
    `boolean` | `preserveState`
    `(package private) java.lang.String` | `propertyColorScheme`
    `(package private) javajs.util.P3` | `ptDefaultLattice`
    `(package private) java.lang.String` | `pubChemFormat`
    `(package private) java.lang.String` | `quaternionFrame`
    `boolean` | `rangeSelected`
    `(package private) boolean` | `rasmolHeteroSetting`
    `(package private) boolean` | `rasmolHydrogenSetting`
    `int` | `repaintWaitMs`
    `(package private) int` | `ribbonAspectRatio`
    `(package private) boolean` | `ribbonBorder`
    `(package private) boolean` | `rocketBarrels`
    `(package private) boolean` | `saveProteinStructureState`
    `(package private) int` | `scriptDelay`
    `(package private) boolean` | `selectAllModels`
    `(package private) float` | `sheetSmoothing`
    `(package private) boolean` | `showHiddenSelectionHalos`
    `(package private) boolean` | `showHydrogens`
    `(package private) boolean` | `showKeyStrokes`
    `(package private) boolean` | `showMeasurements`
    `(package private) boolean` | `showModVecs`
    `(package private) boolean` | `showMultipleBonds`
    `(package private) boolean` | `showNavigationPointAlways`
    `boolean` | `showTiming`
    `(package private) boolean` | `showUnitCellDetails`
    `(package private) boolean` | `slabByAtom`
    `(package private) boolean` | `slabByMolecule`
    `(package private) int` | `smallMoleculeMaxAtoms`
    `(package private) boolean` | `smartAromatic`
    `(package private) java.lang.String` | `smilesUrlFormat`
    `(package private) boolean` | `solventOn`
    `(package private) float` | `solventProbeRadius`
    `(package private) boolean` | `ssbondsBackbone`
    `(package private) float` | `starWidth`
    `(package private) boolean` | `statusReporting`
    `(package private) java.lang.String` | `stereoState`
    `(package private) int` | `strandCountForMeshRibbon`
    `(package private) int` | `strandCountForStrands`
    `(package private) java.util.Map<STR,float[]>` | `structureList`
    `(package private) float` | `strutDefaultRadius`
    `(package private) float` | `strutLengthMaximum`
    `(package private) boolean` | `strutsMultiple`
    `(package private) int` | `strutSpacing`
    `(package private) boolean` | `testFlag1`
    `(package private) boolean` | `testFlag2`
    `(package private) boolean` | `testFlag3`
    `(package private) boolean` | `testFlag4`
    `(package private) boolean` | `traceAlpha`
    `(package private) boolean` | `translucent`
    `(package private) boolean` | `twistedSheets`
    `private static java.lang.String` | `unreportedProperties`
    `(package private) boolean` | `useMinimizationThread`
    `(package private) boolean` | `useNumberLocalization`
    `boolean` | `useScriptQueue`
    `(package private) float` | `vectorScale`
    `(package private) boolean` | `vectorsCentered`
    `(package private) boolean` | `vectorSymmetry`
    `(package private) int` | `vectorTrail`
    `(package private) float` | `vibrationPeriod`
    `(package private) float` | `vibrationScale`
    `private Viewer` | `vwr`
    `boolean` | `waitForMoveTo`
    `(package private) boolean` | `wireframeRotation`
    `(package private) int` | `zDepth`
    `(package private) boolean` | `zeroBasedXyzRasmol`
    `(package private) boolean` | `zoomHeight`
    `(package private) boolean` | `zoomLarge`
    `(package private) int` | `zShadePower`
    `(package private) int` | `zSlab`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalSettings(Viewer vwr, GlobalSettings g, boolean clearUserVariables)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `app(javajs.util.SB s, java.lang.String cmd)`
    `(package private) void` | `clear()`
    `(package private) static boolean` | `doReportProperty(java.lang.String name)`
    `(package private) java.lang.Object` | `getAllVariables()`
    `SV` | `getAndSetNewVariable(java.lang.String name, boolean doSet)`
    `(package private) java.lang.String` | `getLoadState(java.util.Map<java.lang.String,java.lang.Object> htParams)` these settings are determined when the file is loaded and are kept even though they might later change.
    `(package private) java.lang.Object` | `getParam(java.lang.String name, boolean asVariable)`
    `(package private) java.lang.Object` | `getParameter(java.lang.String name, boolean nullAsString)` strictly a getter
    `(package private) java.lang.String` | `getParameterEscaped(java.lang.String name, int nMax)`
    `java.util.Map<STR,float[]>` | `getStructureList()`
    `(package private) SV` | `getUserVariable(java.lang.String name)`
    `java.lang.String` | `getVariableList()`
    `(package private) boolean` | `isJmolVariable(java.lang.String key)`
    `void` | `removeParam(java.lang.String key)`
    `(package private) void` | `removeUserVariable(java.lang.String key)`
    `private void` | `resetValue(java.lang.String name, GlobalSettings g)`
    `void` | `setB(java.lang.String name, boolean value)`
    `void` | `setF(java.lang.String name, float value)`
    `(package private) void` | `setI(java.lang.String name, int value)`
    `void` | `setO(java.lang.String name, java.lang.Object value)`
    `void` | `setStructureList(float[] list, STR type)`
    `(package private) void` | `setUnits(java.lang.String units)`
    `SV` | `setUserVariable(java.lang.String key, SV var)`
    `(package private) void` | `unsetUserVariable(java.lang.String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private final Viewer vwr

    - #### htNonbooleanParameterValues

          java.util.Map<java.lang.String,java.lang.Object> htNonbooleanParameterValues

    - #### htBooleanParameterFlags

          java.util.Map<java.lang.String,java.lang.Boolean> htBooleanParameterFlags

    - #### htPropertyFlagsRemoved

          java.util.Map<java.lang.String,java.lang.Boolean> htPropertyFlagsRemoved

    - #### htUserVariables

          java.util.Map<java.lang.String,SV> htUserVariables

    - #### zDepth

          int zDepth

    - #### zShadePower

          int zShadePower

    - #### zSlab

          int zSlab

    - #### slabByMolecule

          boolean slabByMolecule

    - #### slabByAtom

          boolean slabByAtom

    - #### allowEmbeddedScripts

          boolean allowEmbeddedScripts

    - #### appendNew

          public boolean appendNew

    - #### appletProxy

          java.lang.String appletProxy

    - #### applySymmetryToBonds

          boolean applySymmetryToBonds

    - #### atomTypes

          java.lang.String atomTypes

    - #### autoBond

          boolean autoBond

    - #### axesOrientationRasmol

          boolean axesOrientationRasmol

    - #### bondRadiusMilliAngstroms

          short bondRadiusMilliAngstroms

    - #### bondTolerance

          float bondTolerance

    - #### defaultDirectory

          java.lang.String defaultDirectory

    - #### defaultStructureDSSP

          boolean defaultStructureDSSP

    - #### ptDefaultLattice

          final javajs.util.P3 ptDefaultLattice

    - #### defaultLoadScript

          public java.lang.String defaultLoadScript

    - #### defaultLoadFilter

          public java.lang.String defaultLoadFilter

    - #### defaultDropScript

          public java.lang.String defaultDropScript

    - #### forceAutoBond

          boolean forceAutoBond

    - #### fractionalRelative

          boolean fractionalRelative

    - #### inlineNewlineChar

          char inlineNewlineChar

    - #### loadFormat

          java.lang.String loadFormat

    - #### pdbLoadFormat

          java.lang.String pdbLoadFormat

    - #### pdbLoadLigandFormat

          java.lang.String pdbLoadLigandFormat

    - #### nmrUrlFormat

          java.lang.String nmrUrlFormat

    - #### nmrPredictFormat

          java.lang.String nmrPredictFormat

    - #### smilesUrlFormat

          java.lang.String smilesUrlFormat

    - #### nihResolverFormat

          java.lang.String nihResolverFormat

    - #### pubChemFormat

          java.lang.String pubChemFormat

    - #### macroDirectory

          java.lang.String macroDirectory

    - #### minBondDistance

          float minBondDistance

    - #### minPixelSelRadius

          int minPixelSelRadius

    - #### pdbAddHydrogens

          boolean pdbAddHydrogens

    - #### pdbGetHeader

          boolean pdbGetHeader

    - #### pdbSequential

          boolean pdbSequential

    - #### percentVdwAtom

          int percentVdwAtom

    - #### smallMoleculeMaxAtoms

          int smallMoleculeMaxAtoms

    - #### smartAromatic

          boolean smartAromatic

    - #### zeroBasedXyzRasmol

          boolean zeroBasedXyzRasmol

    - #### legacyAutoBonding

          boolean legacyAutoBonding

    - #### legacyHAddition

          public boolean legacyHAddition

    - #### legacyJavaFloat

          public boolean legacyJavaFloat

    - #### jmolInJSpecView

          boolean jmolInJSpecView

    - #### modulateOccupancy

          boolean modulateOccupancy

    - #### allowRotateSelected

          boolean allowRotateSelected

    - #### allowMoveAtoms

          boolean allowMoveAtoms

    - #### solventOn

          boolean solventOn

    - #### defaultAngleLabel

          java.lang.String defaultAngleLabel

    - #### defaultDistanceLabel

          java.lang.String defaultDistanceLabel

    - #### defaultTorsionLabel

          java.lang.String defaultTorsionLabel

    - #### justifyMeasurements

          boolean justifyMeasurements

    - #### measureAllModels

          boolean measureAllModels

    - #### minimizationSteps

          int minimizationSteps

    - #### minimizationRefresh

          boolean minimizationRefresh

    - #### minimizationSilent

          boolean minimizationSilent

    - #### minimizationCriterion

          float minimizationCriterion

    - #### infoFontSize

          int infoFontSize

    - #### antialiasDisplay

          boolean antialiasDisplay

    - #### antialiasImages

          boolean antialiasImages

    - #### imageState

          boolean imageState

    - #### antialiasTranslucent

          boolean antialiasTranslucent

    - #### displayCellParameters

          boolean displayCellParameters

    - #### dotsSelectedOnly

          boolean dotsSelectedOnly

    - #### dotSurface

          boolean dotSurface

    - #### dotDensity

          int dotDensity

    - #### dotScale

          int dotScale

    - #### meshScale

          int meshScale

    - #### greyscaleRendering

          boolean greyscaleRendering

    - #### isosurfaceKey

          boolean isosurfaceKey

    - #### isosurfacePropertySmoothing

          boolean isosurfacePropertySmoothing

    - #### isosurfacePropertySmoothingPower

          int isosurfacePropertySmoothingPower

    - #### platformSpeed

          int platformSpeed

    - #### repaintWaitMs

          public int repaintWaitMs

    - #### showHiddenSelectionHalos

          boolean showHiddenSelectionHalos

    - #### showKeyStrokes

          boolean showKeyStrokes

    - #### showMeasurements

          boolean showMeasurements

    - #### showTiming

          public boolean showTiming

    - #### zoomLarge

          boolean zoomLarge

    - #### zoomHeight

          boolean zoomHeight

    - #### backgroundImageFileName

          java.lang.String backgroundImageFileName

    - #### partialDots

          boolean partialDots

    - #### bondModeOr

          boolean bondModeOr

    - #### hbondsBackbone

          boolean hbondsBackbone

    - #### hbondsAngleMinimum

          float hbondsAngleMinimum

    - #### hbondsDistanceMaximum

          float hbondsDistanceMaximum

    - #### hbondsRasmol

          boolean hbondsRasmol

    - #### hbondsSolid

          boolean hbondsSolid

    - #### modeMultipleBond

          public byte modeMultipleBond

    - #### showHydrogens

          boolean showHydrogens

    - #### showMultipleBonds

          boolean showMultipleBonds

    - #### ssbondsBackbone

          boolean ssbondsBackbone

    - #### multipleBondSpacing

          float multipleBondSpacing

    - #### multipleBondRadiusFactor

          float multipleBondRadiusFactor

    - #### multipleBondBananas

          boolean multipleBondBananas

    - #### nboCharges

          boolean nboCharges

    - #### cartoonBaseEdges

          boolean cartoonBaseEdges

    - #### cartoonRockets

          boolean cartoonRockets

    - #### cartoonBlockHeight

          float cartoonBlockHeight

    - #### cartoonBlocks

          boolean cartoonBlocks

    - #### cartoonSteps

          boolean cartoonSteps

    - #### cartoonFancy

          boolean cartoonFancy

    - #### cartoonLadders

          boolean cartoonLadders

    - #### cartoonRibose

          boolean cartoonRibose

    - #### chainCaseSensitive

          boolean chainCaseSensitive

    - #### cipRule6Full

          boolean cipRule6Full

    - #### hermiteLevel

          int hermiteLevel

    - #### highResolutionFlag

          boolean highResolutionFlag

    - #### rangeSelected

          public boolean rangeSelected

    - #### rasmolHydrogenSetting

          boolean rasmolHydrogenSetting

    - #### rasmolHeteroSetting

          boolean rasmolHeteroSetting

    - #### ribbonAspectRatio

          int ribbonAspectRatio

    - #### ribbonBorder

          boolean ribbonBorder

    - #### rocketBarrels

          boolean rocketBarrels

    - #### sheetSmoothing

          float sheetSmoothing

    - #### traceAlpha

          boolean traceAlpha

    - #### translucent

          boolean translucent

    - #### twistedSheets

          boolean twistedSheets

    - #### autoplayMovie

          boolean autoplayMovie

    - #### allowAudio

          boolean allowAudio

    - #### allowGestures

          boolean allowGestures

    - #### allowModelkit

          boolean allowModelkit

    - #### allowMultiTouch

          boolean allowMultiTouch

    - #### allowKeyStrokes

          boolean allowKeyStrokes

    - #### hiddenLinesDashed

          boolean hiddenLinesDashed

    - #### animationFps

          int animationFps

    - #### atomPicking

          boolean atomPicking

    - #### autoFps

          boolean autoFps

    - #### axesMode

          public int axesMode

    - #### axesScale

          float axesScale

    - #### axesOffset

          float axesOffset

    - #### starWidth

          float starWidth

    - #### bondPicking

          boolean bondPicking

    - #### dataSeparator

          java.lang.String dataSeparator

    - #### debugScript

          boolean debugScript

    - #### defaultDrawArrowScale

          float defaultDrawArrowScale

    - #### defaultLabelXYZ

          java.lang.String defaultLabelXYZ

    - #### defaultLabelPDB

          java.lang.String defaultLabelPDB

    - #### defaultTranslucent

          float defaultTranslucent

    - #### delayMaximumMs

          int delayMaximumMs

    - #### dipoleScale

          float dipoleScale

    - #### drawFontSize

          float drawFontSize

    - #### disablePopupMenu

          boolean disablePopupMenu

    - #### dragSelected

          boolean dragSelected

    - #### drawHover

          boolean drawHover

    - #### drawPicking

          boolean drawPicking

    - #### dsspCalcHydrogen

          boolean dsspCalcHydrogen

    - #### energyUnits

          public java.lang.String energyUnits

    - #### exportScale

          float exportScale

    - #### helpPath

          java.lang.String helpPath

    - #### fontScaling

          boolean fontScaling

    - #### fontCaching

          boolean fontCaching

    - #### forceField

          java.lang.String forceField

    - #### helixStep

          int helixStep

    - #### hideNameInPopup

          boolean hideNameInPopup

    - #### hoverDelayMs

          int hoverDelayMs

    - #### loadAtomDataTolerance

          float loadAtomDataTolerance

    - #### logCommands

          public boolean logCommands

    - #### logGestures

          public boolean logGestures

    - #### measureDistanceUnits

          public java.lang.String measureDistanceUnits

    - #### measurementLabels

          boolean measurementLabels

    - #### messageStyleChime

          boolean messageStyleChime

    - #### monitorEnergy

          boolean monitorEnergy

    - #### modulationScale

          public float modulationScale

    - #### multiProcessor

          boolean multiProcessor

    - #### particleRadius

          float particleRadius

    - #### pickingSpinRate

          int pickingSpinRate

    - #### pickLabel

          java.lang.String pickLabel

    - #### pointGroupDistanceTolerance

          float pointGroupDistanceTolerance

    - #### pointGroupLinearTolerance

          float pointGroupLinearTolerance

    - #### preserveState

          public boolean preserveState

    - #### propertyColorScheme

          java.lang.String propertyColorScheme

    - #### quaternionFrame

          java.lang.String quaternionFrame

    - #### saveProteinStructureState

          boolean saveProteinStructureState

    - #### showModVecs

          boolean showModVecs

    - #### showUnitCellDetails

          boolean showUnitCellDetails

    - #### solventProbeRadius

          float solventProbeRadius

    - #### scriptDelay

          int scriptDelay

    - #### selectAllModels

          boolean selectAllModels

    - #### statusReporting

          boolean statusReporting

    - #### strandCountForStrands

          int strandCountForStrands

    - #### strandCountForMeshRibbon

          int strandCountForMeshRibbon

    - #### strutSpacing

          int strutSpacing

    - #### strutLengthMaximum

          float strutLengthMaximum

    - #### strutDefaultRadius

          float strutDefaultRadius

    - #### strutsMultiple

          boolean strutsMultiple

    - #### useMinimizationThread

          boolean useMinimizationThread

    - #### useNumberLocalization

          boolean useNumberLocalization

    - #### useScriptQueue

          public boolean useScriptQueue

    - #### waitForMoveTo

          public boolean waitForMoveTo

    - #### noDelay

          public boolean noDelay

      ensures that ScriptManager.allowJSThreads is false so that ScriptManager.useThreads() returns false; Jmol 14.21.1

    - #### vectorScale

          float vectorScale

    - #### vectorSymmetry

          boolean vectorSymmetry

    - #### vectorsCentered

          boolean vectorsCentered

    - #### vectorTrail

          int vectorTrail

    - #### vibrationPeriod

          float vibrationPeriod

    - #### vibrationScale

          float vibrationScale

    - #### wireframeRotation

          boolean wireframeRotation

    - #### hideNavigationPoint

          boolean hideNavigationPoint

    - #### navigationMode

          boolean navigationMode

    - #### navigationPeriodic

          boolean navigationPeriodic

    - #### navigationSpeed

          float navigationSpeed

    - #### showNavigationPointAlways

          boolean showNavigationPointAlways

    - #### stereoState

          java.lang.String stereoState

    - #### modelKitMode

          boolean modelKitMode

    - #### objColors

          int[] objColors

    - #### objStateOn

          boolean[] objStateOn

    - #### objMad10

          int[] objMad10

    - #### ellipsoidAxes

          boolean ellipsoidAxes

    - #### ellipsoidDots

          boolean ellipsoidDots

    - #### ellipsoidArcs

          boolean ellipsoidArcs

    - #### ellipsoidArrows

          boolean ellipsoidArrows

    - #### ellipsoidFill

          boolean ellipsoidFill

    - #### ellipsoidBall

          boolean ellipsoidBall

    - #### ellipsoidDotCount

          int ellipsoidDotCount

    - #### ellipsoidAxisDiameter

          float ellipsoidAxisDiameter

    - #### testFlag1

          boolean testFlag1

    - #### testFlag2

          boolean testFlag2

    - #### testFlag3

          boolean testFlag3

    - #### testFlag4

          boolean testFlag4

    - #### structureList

          java.util.Map<STR,float[]> structureList

    - #### haveSetStructureList

          boolean haveSetStructureList

    - #### bondingVersion

          public int bondingVersion

    - #### unreportedProperties

          private static final java.lang.String unreportedProperties

  - ### Constructor Detail

    - #### GlobalSettings

          GlobalSettings(Viewer vwr,
                         GlobalSettings g,
                         boolean clearUserVariables)

  - ### Method Detail

    - #### clear

          void clear()

    - #### setUnits

          void setUnits(java.lang.String units)

    - #### isJmolVariable

          boolean isJmolVariable(java.lang.String key)

    - #### resetValue

          private void resetValue(java.lang.String name,
                                  GlobalSettings g)

    - #### setB

          public void setB(java.lang.String name,
                           boolean value)

    - #### setI

          void setI(java.lang.String name,
                    int value)

    - #### setF

          public void setF(java.lang.String name,
                           float value)

    - #### setO

          public void setO(java.lang.String name,
                           java.lang.Object value)

    - #### removeParam

          public void removeParam(java.lang.String key)

    - #### setUserVariable

          public SV setUserVariable(java.lang.String key,
                                    SV var)

    - #### unsetUserVariable

          void unsetUserVariable(java.lang.String key)

    - #### removeUserVariable

          void removeUserVariable(java.lang.String key)

    - #### getUserVariable

          SV getUserVariable(java.lang.String name)

    - #### getParameterEscaped

          java.lang.String getParameterEscaped(java.lang.String name,
                                               int nMax)

    - #### getParameter

          java.lang.Object getParameter(java.lang.String name,
                                        boolean nullAsString)

      strictly a getter
      Parameters:
        `name` -
        `nullAsString` - returns "" if not found
      Returns:
        a Integer, Float, String, BitSet, or Variable, or null

    - #### getAndSetNewVariable

          public SV getAndSetNewVariable(java.lang.String name,
                                         boolean doSet)

      Parameters:
        `name` -
        `doSet` -
      Returns:
        a new variable if possible, but null if "_xxx"

    - #### getParam

          java.lang.Object getParam(java.lang.String name,
                                    boolean asVariable)

    - #### getVariableList

          public java.lang.String getVariableList()

    - #### setStructureList

          public void setStructureList(float[] list,
                                       STR type)

    - #### getStructureList

          public java.util.Map<STR,float[]> getStructureList()

    - #### doReportProperty

          static boolean doReportProperty(java.lang.String name)

    - #### getAllVariables

          java.lang.Object getAllVariables()

    - #### getLoadState

          java.lang.String getLoadState(java.util.Map<java.lang.String,java.lang.Object> htParams)

      these settings are determined when the file is loaded and are kept even though they might later change. So we list them here and ALSO let them be defined in the settings. 10.9.98 missed this.
      Parameters:
        `htParams` -
      Returns:
        script command

    - #### app

          private void app(javajs.util.SB s,
                           java.lang.String cmd)